Bug 1766117

Summary: virtualbox-guest-additions has no mount.vboxsf
Product: [Fedora] Fedora Reporter: mail+redhat
Component: virtualbox-guest-additionsAssignee: Hans de Goede <hdegoede>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 32CC: hdegoede, michael.thayer, sergio
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: virtualbox-guest-additions-6.1.4-2.fc32 virtualbox-guest-additions-6.1.4-3.fc30 virtualbox-guest-additions-6.1.4-3.fc31 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2020-03-16 20:20:49 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:

Description mail+redhat 2019-10-28 10:38:27 UTC
Description of problem:
I've found out that this problem has been there in the past already.
Without the mount utility it is impossible to mount shared folders.

Version-Release number of selected component (if applicable):
6.0.14

How reproducible:
https://apps.fedoraproject.org/packages/virtualbox-guest-additions/contents/

No mount.vboxsf in there

Steps to Reproduce:
1. Install virtualbox-guest-additions
2. Try to mount shared foleder

Actual results:
mount reports "unknown filesystem vboxsf"

Expected results:
Mounting should work if guest additions are installed

Additional info:

Comment 1 Sergio Basto 2019-10-28 20:34:56 UTC
this is already a faq, I have to update wiki page ... 

issue command 'sudo dnf install VirtualBox-linux-additions akmod-VirtualBox'
issue command 'sudo akmods-shutdown' 

and should start to working , maybe even without reboot ...

Comment 2 Ben Cotton 2020-02-11 17:50:15 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 32 development cycle.
Changing version to 32.

Comment 3 Fedora Update System 2020-02-23 05:48:23 UTC
FEDORA-2020-f6b78979e5 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2020-f6b78979e5

Comment 4 Fedora Update System 2020-02-23 05:48:59 UTC
FEDORA-2020-1635d1d46f has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-1635d1d46f

Comment 5 Fedora Update System 2020-02-24 02:07:32 UTC
virtualbox-guest-additions-6.1.4-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-f6b78979e5

Comment 6 Fedora Update System 2020-02-24 02:08:34 UTC
virtualbox-guest-additions-6.1.4-1.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-1635d1d46f

Comment 7 Fedora Update System 2020-03-03 16:06:29 UTC
FEDORA-2020-8a8206dcae has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2020-8a8206dcae

Comment 8 Fedora Update System 2020-03-03 16:06:30 UTC
FEDORA-2020-3561d3ec62 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-3561d3ec62

Comment 9 Fedora Update System 2020-03-03 17:33:58 UTC
virtualbox-guest-additions-6.1.4-2.fc32 has been pushed to the Fedora 32 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-9be156194c

Comment 10 Fedora Update System 2020-03-03 20:28:29 UTC
virtualbox-guest-additions-6.1.4-2.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-3561d3ec62

Comment 11 Fedora Update System 2020-03-03 20:46:43 UTC
virtualbox-guest-additions-6.1.4-2.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-8a8206dcae

Comment 12 Fedora Update System 2020-03-16 20:20:49 UTC
virtualbox-guest-additions-6.1.4-2.fc32 has been pushed to the Fedora 32 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2020-03-16 20:32:15 UTC
virtualbox-guest-additions-6.1.4-2.fc32 has been pushed to the Fedora 32 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2020-03-20 01:39:38 UTC
virtualbox-guest-additions-6.1.4-3.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2020-03-20 01:47:57 UTC
virtualbox-guest-additions-6.1.4-3.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.